I draw ventilation ductwork all day at work, just recently stumbled across dynamic blocks.
Attached is what i have done so far, the straight section works perfectly, just having some trouble with the radius bend. What I need is for the arc to stretch with the angle of the bend.
I have a short macro to add the compliment angle to all the bend angles on an Inventor 2014 drawing. I want it to always show one decimal point on the compliment angle, but if that would be '0' then it doesn't show it. I.e. in the attached picture I want it to be 58.0 (122.0) DOWN.
Sub Test() Dim oDoc As DrawingDocument Set oDoc = ThisApplication.ActiveDocument Dim oView As DrawingView Set oView = oDoc.ActiveSheet.DrawingViews(1) Dim oNewDimStyle As DimensionStyle Set oNewDimStyle = oDoc.StylesManager.DimensionStyles.Item("RASOR")
I want to create a 3D model for a metal frame I bought commerically. To create the model in Inventor, I need to know the bend angle such as the one shown in the first figure of:
[URL]
What kind of tool do I need to measure the bend angle of the real metal frame reasonably accurately?
In Inventor, is there an easy eay to create the teeth of the servo horns?
I'm experimenting with 3d printing and wish to create a tube system based on this vase. Im completely new with 3ds max. What's the easiest way to simply bend the entire model 90 degrees? URL...
The angle or radius are outside the table boundaries. I have used bend tables before and have not run into this. See screenshot. What I don't understand is that in the error dialog box the Thickness is correct the Radii are correct and the Angle is correct except it is showing a -90 degrees. Is that the problem? The negetive? Why is it showing a negative number. I can't change the way the part is formed. The problem seems to be with the lower left hand curl. It does go ahead and flatten it, but I don't trust the results when I have the three errors.
I have created a dynamic block. Herein I placed stretch actions parameter set to strecht parts including anotative text.
Now the block seems to work fine.
- When I am in modelspace and I change the annotation scale the text is changed correct
- When I am in modelspace and I change the stretch value of the dynamic block everything goes fine.
But when I am in modelspace and I change the stretch value in one of the annotiaton scales and then switch to another scale my text is changed annotativly (this is what I want) but the stretch value is set back to default (which should be at the changed value).
Is there a quick way to rotate an object to match an angle without knowing what the angle is? I am using AutoCAD 2011 now. I was using 2007 and I had an add on command the would rotate an object using a base point and picking the two lines that make up the angle, and it would match the angle you wanted. I can not get that command to load in 2011.
I have a property line that is N 36d19'52" E but needs to be N 12d52'18" E. The obvious and calculated rotation angle would be 23d27'34" but when I rotate the line by the calculated angle it doesn't rotate to the right angle. It's off by 0d11'10"!? When I draw a line by bearing at N12d52'18" E and inquiry the angle between the property line and the drawn line the angle difference is in fact 23d27'34".
Let's say I am inserting a square block into a dwg and want to get it parallel to an existing angled line. Do I have to read the angle of the line and insert the block to that angle or is there a quicker way?
how to convert "real world" angles of elliptical arcs into those shown in a dxf file?
Say that I have drawn an elliptical arc with its start angle on 210 degrees and an end angle of 324 degrees. The values in a DXF file, for an elliptical arc, have something to do with the contant "PI" (3.14159). I know that a full circle is 2*Pi but how to do this with elliptical arcs!!
Is there any way I can bend a 2D object? I have a drawing of a hydraulic hose running straight in the x axis. What I want to do is to be able is to bend the hose around 90 degress (to fit in a case) without altering the overall length & width. I have attached a simple drawing that should explain the problem. I know the lengths don't match, this is purely for illustration
I'm trying to use the cut across bend feature on a sheet metal part. However, when I check cut across bend, it grays out all of the other cutout options, and only has thickness as the only option. This is perplexing to me, because I can't think of too many times I'd need this option other than when there is more than one thickness of material I need to manipulate the profile onto.
I was to understand that this "cut across bend" is for use similar to the "normal cutout" command in solid edge? Keeps the cut perpendicular to the sheet face in a sheet metal part.
Cybertron PC Intel Core i5-3470 CPU @ 3.20 GHz 3.60 GHz 16.0 GB RAM Windows 7 Professional 64 Bit 3D Connexion Space Pilot Inventor Professional 2014 Autocad Mechanical 2014
I attached an IPT file that a customer sent us to manufacture for them.It's a rectangular aluminum tube with two bends.In the IDW when I try to place center points and dimension the radius it is not recognized.The original file was a STEP.
Under the modify tab in a part file, I can drop down and click "bend part." We have a bunch of frames made out of stock tubing that are welded together, then bent as a whole. Is there a way to bend at the assembly? I want the model to represent the production process. I don't want to have to bend each tube alone, then reassemble. That would double my parts/part numbers.
I am trying to make a exaust pipe for a semi i am making in autocad 2006 and the pipe bends at the top. so i was wondering how can i bend a 3d cylinder/pipe?
I'm working in on a dike alignment that has a 90° bend and the contours are following the side slope to existing grade and then goes back to center top of new grade of dike at the bend.
So the contours shows a dip in plan view. So the center of dike alignment doesn't follow top of new grade. Is there something I can use to the contours follow the alignment correctly instead of a dip?
I have been trying to bend a larger radius on a corner bend but i can not seem to be able to . I start out with a face of 46" x 82" i want to put a 1/2" bend up then a 1/2" bend out to make a z shape i'm using as a material .109 stainless steel and i want to end up with a 1/2" on the inside corners so that when i'm done i can flatten it out to get the proper sheer size for the piece the metal brake i'm using has a 1/2" die in thats why i trying to figure this out is their any way to put this kind of radius on the sheet metal bends.
I'm trying to do a usable and real flat pattern for a laser cut on this type of part and I'm not able to do a cut across bend or other wrap around face feature.
I have created a pipe using sweep through 2 planes and 3d sketch. I want a specific bend on that pipe to be extracted for drawing purpose. How do I do that ?
If i have even used the correct technique but how do i perform the bends in the flat bar so as the bottom and top section are vertical and the small mid section is on the angle. At the moment the mid section is displayed vertical when using the cub please see attached files.
I have unfolded a 3D model into a flat plate, however the bend lines/extents do not appear in ISO.dwg
I doubled clicked into the view to access 'Display Options'. However, I cannot tick the box to display bend extents as this option is shaded out (refer to attached screen dump).
I cannot figure out how to dual dimension a bend like so:
DIRECTION DEGREES RIMPERIAL [RMETRIC]
e.g. DOWN 90 R1/2"[13] preferred
or DOWN 90 R1/2"[R13] okay
There should be a degree symbol after the 90 in my examples but I can't figure out how to type it here. I can get DOWN 90 R1/2"[DOWN 90 R13] but it's too long.